POST /sandboxes/{sandboxID}/connect
Connect sandbox
Returns sandbox details. If the sandbox is paused, it will be resumed. TTL is only extended.
Parameters
sandboxID·string· path · required
Request body
Required: yes
application/json
Schema: ConnectSandbox
timeout·integer· requiredTimeout in seconds from the current time after which the sandbox should expire
Format:
int32Minimum:
0
Responses
200
The sandbox was already running
Content-Type: application/json
Schema: Sandbox
templateID·string· requiredIdentifier of the template from which is the sandbox created
sandboxID·string· requiredIdentifier of the sandbox
alias·string· optionalAlias of the template
envdVersion·EnvdVersion· requiredVersion of the envd running in the sandbox
domain·string | null· optionalBase domain where the sandbox traffic is accessible
201
The sandbox was resumed successfully
Content-Type: application/json
Schema: Sandbox
templateID·string· requiredIdentifier of the template from which is the sandbox created
sandboxID·string· requiredIdentifier of the sandbox
alias·string· optionalAlias of the template
envdVersion·EnvdVersion· requiredVersion of the envd running in the sandbox
domain·string | null· optionalBase domain where the sandbox traffic is accessible
400
Bad request
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
401
Authentication error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
404
Not found
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
500
Server error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError